#
# spec file for package rubygem-capistrano
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-capistrano
Version:        3.18.1
Release:        1.1
%define mod_name capistrano
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            https://capistranorb.com/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Capistrano - Welcome to easy deployment with Ruby over SSH
License:        MIT
PreReq:         update-alternatives

%description
Capistrano is a utility and framework for executing commands in parallel on
multiple remote machines, via SSH.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- 3.18.1:
  [#]# 📚 Documentation
- Fix typos (#2151) @kianmeng
- Add capistrano-nomad to third party plugins list (#2145) @axsuul
  [#]# 🏠 Housekeeping
- Fix RuboCop in CI (#2148) @mattbrictson
- Add Ruby 3.3 to CI (#2147) @mattbrictson
  * *Full Changelog:** https://github.com/capistrano/capistrano/compare/v3.18.0...v3.18.1
* Thu Nov  2 2023 Dan Čermák <dan.cermak@posteo.net>
- 3.18.0:
  [#]# Changes
- Remove default webpacker path to linked_dirs (#2139) @taketo1113
  [#]# 🐛 Bug Fixes
- Fix "lambda method requires a literal block" error (Ruby 3.3) (#2141) @mattbrictson
  [#]# 🏠 Housekeeping
- Upgrade to latest ver of release-drafter and update config (#2143) @mattbrictson
- Upgrade CI to actions/checkout v4 (#2142) @mattbrictson
- Auto-bump version number in generated release notes (#2140) @mattbrictson
- Migrate from CircleCI to GitHub Actions; add Cucumber features to CI (#2132) @mattbrictson
  * *Full Changelog:** https://github.com/capistrano/capistrano/compare/v3.17.3...v3.18.0
  3.17.3:
  This is a gem housekeeping release. No user-facing changes.
  [#]# 📚 Documentation
- Fix typo in authorization docs (#2128) @HLFH
  [#]# 🏠 Housekeeping
- Fix deprecated usage of open-uri so feature tests work on Ruby 3 (#2129) @mattbrictson
- Fix failing OpenSSL install on Ruby 2.3 CI image (#2130) @mattbrictson
- Add Ruby 3.2 to CI matrix (#2126) @mattbrictson
- Fix failing CI builds for Ruby < 2.3 (#2124) @mattbrictson
  [#]# New Contributors
- @HLFH made their first contribution in https://github.com/capistrano/capistrano/pull/2128
  * *Full Changelog**: https://github.com/capistrano/capistrano/compare/v3.17.2...v3.17.3
  3.17.2:
  [#]# 📚 Documentation
- Add capistrano-mysql_tables as 3rd party plugin (#2121) @floydj
  [#]# 🏠 Housekeeping
- Fix failing Ruby 2.0 CI build (#2116) @mattbrictson
  * *Full Changelog**: https://github.com/capistrano/capistrano/compare/v3.17.1...v3.17.2
* Mon Aug 29 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.17.1
  see installed CHANGELOG.md
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.17.0
  see installed CHANGELOG.md
* Mon May  3 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 3.16.0
  * Add a :verify_commit option; if enabled, checks that the
    revision being deployed has a valid signature (git only)
- Drop CHANGELOG.md as changes are no longer tracked there since
  version 3.11.2. They are now published on Github:
  https://github.com/capistrano/capistrano/releases
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 3.15.0
  see installed CHANGELOG.md
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 3.14.1
  see installed CHANGELOG.md
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 3.14.0
  see installed CHANGELOG.md
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 3.11.2
  see installed CHANGELOG.md
* Sun Jun  3 2018 factory-auto@kulow.org
- updated to version 3.11.0
  see installed CHANGELOG.md
* Sun Apr 15 2018 factory-auto@kulow.org
- updated to version 3.10.2
  see installed CHANGELOG.md
* Thu Dec 14 2017 coolo@suse.com
- updated to version 3.10.1
  see installed CHANGELOG.md
* Thu Oct 26 2017 coolo@suse.com
- updated to version 3.10.0
  see installed CHANGELOG.md
* Mon Sep 11 2017 coolo@suse.com
- updated to version 3.9.1
  see installed CHANGELOG.md
* Thu Aug  3 2017 coolo@suse.com
- updated to version 3.9.0
  see installed CHANGELOG.md
* Tue Jun 20 2017 coolo@suse.com
- updated to version 3.8.2
  see installed CHANGELOG.md
* Tue May 23 2017 coolo@suse.com
- updated to version 3.8.1
  see installed CHANGELOG.md
* Sat Mar 11 2017 coolo@suse.com
- updated to version 3.8.0
  see installed CHANGELOG.md
* Sat Jan 28 2017 coolo@suse.com
- updated to version 3.7.2
  see installed CHANGELOG.md
* Wed Dec 21 2016 coolo@suse.com
- updated to version 3.7.1
  see installed CHANGELOG.md
* Sun Dec 11 2016 coolo@suse.com
- updated to version 3.7.0
  see installed CHANGELOG.md
* Wed Aug 24 2016 coolo@suse.com
- updated to version 3.6.1
  see installed CHANGELOG.md
* Wed Jul 27 2016 coolo@suse.com
- updated to version 3.6.0
  see installed CHANGELOG.md
* Tue May 10 2016 coolo@suse.com
- updated to version 3.5.0
  see installed CHANGELOG.md
* Fri Apr 15 2016 coolo@suse.com
- updated to version 3.4.1
  see installed CHANGELOG.md
* Fri Mar  6 2015 coolo@suse.com
- updated to version 3.4.0
  https://github.com/capistrano/capistrano/compare/v3.3.5...v3.4.0
  * Fixed fetch revision for annotated git tags. (@igorsokolov)
  * Fixed updating roles when custom user or port is specified. (@ayastreb)
  * Disables statistics collection.
  * `bin/` is not suggested to be in `linked_dirs` anymore (@kirs)
  * bin/ is often checked out into repo
  * https://github.com/capistrano/bundler/issues/45#issuecomment-69349237
  * Bugfix:
  * release_roles did not honour additional property filtering (@townsen)
  * Refactored and simplified property filtering code (@townsen)
  * Breaking Changes
  * Hosts with the same name are now consolidated into one irrespective of the
    user and port. This allows multiple declarations of a server to be made safely.
    The last declared properties will win. See capistrnorb.com Properties documentation
    for details.
  * Inside the on() block the host variable is now a copy of the host, so changes can be
    made within the block (such as dynamically overriding the user) that will not persist.
    This is very convenient for switching the SSH user temporarily to 'root' for example.
  * Minor changes
  * Add role_properties() method (see capistrano.github.io PR for doc) (@townsen)
  * Add equality syntax ( eg. port: 1234) for property filtering (@townsen)
  * Add documentation regarding property filtering (@townsen)
  * Clarify wording and recommendation in stage template. (@Kriechi)
  * Both available syntaxes provide similar functionality, do not use both for the same server+role combination.
  * Allow specification of repo_path using stage variable
    default is as before (@townsen)
* Fri Feb  6 2015 coolo@suse.com
- updated to version 3.3.5
  * Fixed setting properties twice when creating new server. See [issue
  [#1214]](https://github.com/capistrano/capistrano/issues/1214) (@ayastreb)
  [#]# `3.3.4`
  https://github.com/capistrano/capistrano/compare/v3.3.3...v3.3.4
  * Minor changes:
  * Rely on a newer version of capistrano-stats with better privacy (@leehambley)
  * Fix cucumber spec for loading tasks from stage configs (@sponomarev)
  * Minor documentation fixes (@deeeki, @seuros, @andresilveira)
  * Spec improvements (@dimitrid, @sponomarev)
  * Fix to CLI flags for git-ls-remote (@dimitrid)
  [#]# `3.3.3`
  https://github.com/capistrano/capistrano/compare/v3.2.1...v3.3.3
  * Enhancement (@townsen)
  * Added the variable `:repo_tree` which allows the specification of a sub-tree that
    will be extracted from the repository. This is useful when deploying a project
    that lives in a subdirectory of a larger repository.
    Implemented only for git and hg.
    If not defined then the behaviour is as previously and the whole repository is
    extracted (subject to git-archive `.gitattributes` of course).
  * Enhancement (@townsen): Remove unnecessary entries from default backtrace
    When the `--backtrace` (or `--trace`) command line option is not supplied
    Rake lowers the noise level in exception backtraces by building
    a regular expression containing all the system library paths and
    using it to exclude backtrace entries that match.
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun May 18 2014 coolo@suse.com
- updated to version 3.2.1
  * Bug Fixes:
  * 3.2.0 introduced some behaviour to modify the way before/after hooks were called, to allow the optional
    preservation of arguments to be passed to tasks. This release reverts that commit in order to restore
    original functionality, and fix (fairly serious) bugs introduced by the refactoring.
  * Minor changes:
  * Update dsl#local_user method and add test for it. (@bruno-)
  * Revert short sha1 revision with git. (@blaugueux)
  * Changed asking question to more standard format (like common unix commandline tools) (@sponomarev)
  * Fixed typos in the README. (@sponomarev)
  * Added `keys` method to Configuration to allow introspection of configuration options. (@juanibiapina)
  [#]# `3.2.0`
  The changelog entries here are incomplete, because many authors choose not to
  be credited for their work, check the tag comparison link for Github.
  https://github.com/capistrano/capistrano/compare/v3.1.0...v3.2.0
  * Minor changes:
  * Added `keys` method to Server properties to allow introspection of automatically added
    properties.
  * Compatibility with Rake 10.2.0 - `ensure_task` is now added to `@top_level_tasks` as a string. (@dmarkow)
  * Amended the git check command, "ls-remote", to use "-h", limiting the list to refs/heads
* Mon Jan 20 2014 coolo@suse.com
- updated to version 3.1.0
  Breaking changes:
  * `deploy:restart` task **is no longer run by default**.
    From this version, developers who restart the app on each deploy need to declare it in their deploy flow (eg `after 'deploy:publishing', 'deploy:restart'`).
    Please, check https://github.com/capistrano/capistrano/commit/4e6523e1f50707499cf75eb53dce37a89528a9b0 for more information. (@kirs)
  * Minor changes
  * Tasks that used `linked_dirs` and `linked_files` now run on all roles, not just app roles (@mikespokefire)
  * Tasks `deploy:linked_dirs`, `deploy:make_linked_dirs`, `deploy:linked_files`, `deploy:cleanup_rollback`,
    `deploy:log_revision` and `deploy:revert_release` now use `release_roles()` not `roles()` meaning that they
    will only run on servers where the `no_release` property is not falsy. (@leehambley)
  * Fixed bug when `deploy:cleanup` was executed twice by default (@kirs)
  * Config location can now be changed with `deploy_config_path` and `stage_config_path` options (@seenmyfate)
  * `no_release` option is now available (@seenmyfate)
  * Raise an error if developer tries to define `:all` role, which is reserved (@kirs)
  * `deploy:fallback` hook was added to add some custom behaviour on failed deploy (@seenmyfate)
  * Correctly infer namespace in task enhancements (@seenmyfate)
  * Add SHA to revision log (@blackxored)
  * Allow configuration of multiple servers with same hostname but different ports (@rsslldnphy)
  * Add command line option to control role filtering (@andytinycat)
  * Make use of recent changes in Rake to over-ride the application name (@shime)
  * Readme corrections (@nathanstitt)
  * Allow roles to be fetched with a variable containing an array (@seenmyfate)
  * Improve console (@jage)
  * Add ability to filter tasks to specific servers (host filtering). (@andytinycat)
  * Add a command line option to control role filter (`--roles`) (@andytinycat)
  * Use an SCM object with a pluggable strategy (@coffeeaddict)
* Fri Nov 22 2013 coolo@suse.com
- updated to version 3.0.1
  * capify' not listed as executable (@leehambley)
  * Confirm license as MIT (@leehambley)
  * Move the git ssh helper to application path (@mpapis)
* Thu Oct 10 2013 coolo@suse.com
- updated to version 3.0.0
  If you are coming here to wonder why your Capfile doesn't work anymore, please
  vendor lock your Capistrano at 2.5.x, whichever version was working for you
  until today.
  See Changelog.md for details
* Fri Jul 12 2013 coolo@suse.com
- updated to version 2.15.5
  * Fix multistage argument parsing when using the `-s` option. (@jmazzi)
  * Tweaks to the asset recipes. (@curtislinden)
  * Use quotes around SCM usernames and passwords (@carloslopes)
  * Avoid git warning when cloning Git repository using sha1 (@bpaquet)
* Tue May  7 2013 coolo@suse.com
- updated to version 2.15.4
  * Fix parallel command logging (@gnufied)
  * Fix a double-asset manifest problem on Rails upgrades. (@jimryan)
* Mon Apr 29 2013 coolo@suse.com
- updated to version 2.15.3
  * For deploy:cleanup, use try_sudo with rm command. (@joshstaiger)
  * Restore maintenance.rhtml (@chulkilee)
  * Fixes GH-434, If branches is an array of array, iterate them separately. (@gnufied)
  A big "thank you" to the people who've pushed really amazing patches to the
  2.15.x branch so soon after it's release. 2.15.0 was just too huge to go out
  bug free.
  [#]# 2.15.2 / April 24 2013
  * Fixed a bug with asset_paths (String vs. Array). (@joeycarmello)
  [#]# 2.15.1 / April 23 2013
  * Support for Rails 4 (and other) randomised asset manifest names. (@jimryan)
  [#]# 2.15.0 / April 23 2013
  * New varaible :shared_assets_prefix to allow people to host somewhere other
  than `/assets/`. Default is `assets`.
  * Bring back web:enable and web:disable tasks. Sincerely apologies to all affected
  removing these was one of the most glaring mistakes we've made on this project
  and I feel personally responsible.
  * Makes :git_shallow_clone work with branches (@cannikin)
  * Avoid removing required assets (@bosko)
  * Fix escaping of asset_paths when calling `deploy:finalize_update` (@mcary)
  * Improve parallel command logging (@mpapis)
  * Allow updating variables in the cap shell `cap> set :some_setting new_value`
  (@jpfuentes2)
  * Add the option to configure `Capistrano::Logger.default_formatters=` this
  relates to the previous merging of the capistrano-colors gem. (@kellyredding)
  * Don't attempt to connect to a nil `:gateway` (@mattheath)
  * Simplify our .gemspec dependency list (@timoschilling)
  * Make the existece of `config/deploy/{stage}.rb` optional, it'll be loaded if
  it exists, otherwise we continue without it (@ymainier)
  * Misc spelling/typo fixes. (@mv)
  * Update mtime and atime with touch when fixing asset timestamps (@wildoats)
  * Change call of `rake {env} precompile:all` to drop the errornous `{env}` (@zxiest)
  * Evaluate assets_role at runtime using a lambda (@nlenepveu)
  * Handle when hosts (for example by joining/leaving the no_release meta group)
  have different old releases for `deploy:cleanup` (@oggy)
  * Check for nil when tearing down connections (@yyuu)
  * Go back to using SCP for uploads as against SFTP (@pjungwir)
  * Added an option to dereference symlinks when using the :copy strategy
  (`set :copy_dereference_symlink, true`) useful when your working directory
  contains files symlinked in from outside your project root (@mehmetc)
  * Small typo fix in README (@yule)
  * Add Ruby 2.0.0-p0 to the TravisCI build (@jarrettmeyer)
  * Add the option to set the shared asset prefix for Rails,
  (`set :shared_assets_prefix, "my_shared_assets"`) corresponds with it's
  namesake in Rails. By default is set to `assets`. (@spectator)
  * Improved error messages for `cap {stage} deploy:check` (@petems)
  * Make `run_locally` work with the `--dry-run` flag. (@flagthisiskun)
  * Fix a link in the README to writing a good commit message. (@mhutchin)
  * Code style fixes (@mv)
  * Report differently if the command was killed by a signal (for example the
  oom killer on Ubuntu/Debian). (@tanob)
* Tue Feb 12 2013 coolo@suse.com
- updated to version 2.14.2
* Sun Feb  3 2013 coolo@suse.com
- updated to version 2.14.1
  * Removed ui.output_cols limit of 80 chars (@aussielunix)
  * Added :p4charset variable for Perforce command line (@randyinla)
  * Added support for rolling back assets, and removing expired assets (@ndbroadbent)
* Mon Oct 29 2012 coolo@suse.com
- updated to version 2.13.5
  * Merged in `capistrano_colors` gem, and renamed to 'log_formatters', since it does much more than just colors
  (@ndbroadbent)
  * Use more intelligence in setting the :scm variable based on known version control directory names (@czarneckid)
  * Remove the deploy:web:{disable, enable} tasks (@carsomyr)
  * Group finalize_update shell commands into one command, harden shell calls with #shellescape, and separate arguments
  with -- (@ndbroadbent)
* Fri Sep 21 2012 coolo@suse.com
- updated to version 2.13.4
* Thu Aug 30 2012 coolo@suse.com
- updated to version 2.13.3
* Thu Apr 26 2012 coolo@suse.com
- update to 2.12.0
  This release reverts the very verbose logging introduced in the previous version, it also
  enables a handful of power-user features which are largely un-documented, but shouldn't be
  important unless you are looking for them. Undocumented code shouldn't scare you, simply
  read through deploy.rb in the Gem if you want to know how a new feature works!
  * Update mapped commands to remove symlink deprecation warning. Despo Pentara (despo)
  * Add the "rpm" remote dependency. Nick Hoffman (nickhoffman)
  * Add commented deploy:cleanup task to default recipe. Jean-Philippe Doyle (j15e)
  * Teach deploy:web:enable to fail gracefully. Lee Marlow (lmarlow)
  * Ticket 193 alias task show wrong name when it is not overridden. Rafa García (rgo)
  * Allow configuration of which roles assets are precompiled on. Frederick Cheung (fcheung)
  * Fix transfer action to honor dry-run flag. Serg Podtynnyi (shtirlic)
  * Changed single to double quotes for Windows, fixes a Windows bug in the HG module. Matthew J Morrison (mattjmorrison)
  * Add UnsharedRemoteCache (copied from eycap gem). Ben Symonds (bensymonds)
  As ever, a sincere thanks to all contributors, and do not hesitate to contact me if this
  release causes problems for you.
* Thu Mar  8 2012 saschpe@suse.de
- Update to version 2.11.2:
  * Fixes some bugs with the now deprecated deploy:symlink fallback option.
- Changes from version 2.11.1:
  * Remove a testing dependency on ruby-debug
  * Formerly deprecate deploy:symlink, this move was prompted by the Rake
    namespace fiasco of their 0.9.0 release, and is replaced by
    deploy:create_symlink.
- See CHANGELOG for older versions
- Fixed license, according to README.markdown, it's MIT
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 2.5.18
  Small fix for rolling back if a shell scripts exits non-zero;
  enabled a rollback if git (or other) externals fail during the
  deploy.
  * #151 check return code status of system command to create local
    copy and rollback if not 0 (David King)
- additional changes from version 2.5.17
  Various small bug fixes.
- additional changes from version 2.5.16
  Fixed a small regression in 2.5.15
- additional changes from version 2.5.15
  Fixes a feature request not to overwrite roles when using the
  ROLES environmental variable.
  * #126 - The option to not overwriting the roles which are
    defined in the task definition.
  * Removed the upgrade file as it has been a couple of years
    since 1.x was in the wild.
  * Slight internal re-factor of the way we calculate the version
- additional changes from version 2.5.14
  Fixes a low-value bug, thanks to Chris G for the well submitted
  patch:
  * #139 - Improves consistency of variable lookup, scm variables
    with a local_ prefix will be honoured with priority locally
    (Chris Griego)
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Wed Jan  6 2010 prusnak@suse.cz
- updated to 2.5.13
* Mon Dec 21 2009 prusnak@suse.cz
- updated to version 2.5.10
* Thu Mar 26 2009 mrueckert@suse.de
- update to version 2.5.5
* Sun Aug  5 2007 mrueckert@suse.de
- update to version 2.0.0
  Too many changes, see
  /usr/lib*/ruby/gems/1.8/gems/capistrano-2.0.0/CHANGELOG
* Thu Mar  8 2007 abauer@suse.de
- update to version 1.4.1
  Too many changes, see
  /usr/lib*/ruby/gems/1.8/gems/capistrano-1.4.1/CHANGELOG
* Sat Sep 16 2006 mrueckert@suse.de
- update to version 1.2.0:
  * Add experimental 'shell' task [Jamis Buck]
  * Display file for external configurations, rather than
    inspected proc. [Jamis Buck]
  * Connect to multiple servers in parallel, rather than serially.
    [Jamis Buck]
  * Add SCM module for Mercurial (closes #4150) [Matthew Elder]
  * Remove unused line in SCM::Base (closes #5619)
    [chris@seagul.co.uk]
  * More efficient "svn log" usage (closes #5620) [Anatol Pomozov]
  * Better support for key passphrases in the SVN module
    (closes #5920) [llasram@gmail.com]
  * Fix missing default for :local in cvs.rb (closes #3645)
    [jeremy@hinegardner.org]
  * Fix awkward spacing in gemspec file (closes #3888)
    [grant@antiflux.org]
  * Add support for :sudo variable to specify path to sudo
    (closes #4578) [timothee.peignier@tryphon.org]
  * Make previous_release return nil if there are no previous
    releases (closes #4959) [bdabney@cavoksolutions.com]
  * Uncache releases list after update_code is called so thati
    newly released dir is included (closes #3766) [Jamis Buck]
  * Allow the subversion scm to accept HTTPS certificates
    (closes #4792) [Jamis Buck]
  * Make sure rollbacks occur within the scope of the task that
    triggered them [Jamis Buck]
  * Fixed the default recipe to work with setups that haven't yet
    gone pids [DHH]
  * Symlink and setup for shared/pids to tmp/pids [DHH]
  * Fix some incorrect usage text (closes #4507)
    [gerry_shaw@yahoo.com]
  * Added Actor#stream method that makes it easy to create
    cross-server streams [DHH].
  * Make update_code and symlink a macro task under the name
    "update" for easy of deploy to servers that does not run
    fcgis [DHH]
  * Changed setup, update_code, rollback_code, and symlink to
    work on all servers instead of only those in the :app, :web,
    and :db roles. A server can opt out of being part of the
    release deployment by setting :no_release => true [DHH]
  * Added support for :except on task declarations as the
    opposite of :only [DHH].
  * Deprecate the -r/--recipe switch in favor of -f/--file
    (for more make/rake-like semantics) [Jamis Buck]
  * Fix gemspec to include a dependency on rake 0.7 [Jamis Buck]
  * Added respect for ENV["HOSTS"] that'll be used instead of
    the roles specified in the task definition [DHH].
  * Added respect for ENV["ROLES"] that'll be used instead of
    the roles specified in the task definition [DHH].
  * Added :hosts option to task definition that allows you to
    specify cross-cutting tasks [DHH].
  * Fix operator precedence problem in script for touching the
    revisions.log #3223 [jason.garber@emu.edu]
- added requires on rubygem-rakes
* Tue Jun 20 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- Initial package version 1.1.0
